VERSION 5.00
Begin VB.MDIForm frmTileMDI_MDI 
   BackColor       =   &H8000000C&
   Caption         =   "MDI form"
   ClientHeight    =   3195
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   4680
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu mnuOption 
      Caption         =   "Option"
      Begin VB.Menu mnuOptionTileMDI 
         Caption         =   "Tile MDI"
         Begin VB.Menu mnuOptionTileMDI_Style 
            Caption         =   "Rivets"
            Index           =   0
         End
         Begin VB.Menu mnuOptionTileMDI_Style 
            Caption         =   "Squares"
            Index           =   1
         End
         Begin VB.Menu mnuOptionTileMDI_Style 
            Caption         =   "Thatch"
            Index           =   2
         End
      End
      Begin VB.Menu mnuOptionsep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOptionUntileMDI 
         Caption         =   "Untile MDI"
      End
   End
End
Attribute VB_Name = "frmTileMDI_MDI"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' TileMDI_MDI.frm
'
' By Herman
'
' To demonstrate how to tile the MDI form.  There are many ways of doing it, but
' this one is without pain.  You even have the options to change tile, or to untile,
' at any time you wish.
'
' Start project with DummyChild, the form with 2 hidden picture boxes there, one
' picture is for loading a tile file (all tile files listed in the menu as options
' are supplied here), the other as a container for the tiled result which is the
' source of MDI form background.  Note that the latter picture box should be sized
' to a sufficient size as to cover the entire MDI form .
'
' DummyChild form is used purely for tiling/untiling purposes here.
'
Option Explicit


Private Sub MDIForm_Load()
    WindowState = vbMaximized
End Sub


Private Sub MDIForm_Activate()
    mnuOptionTileMDI_Style(0).Checked = True
    frmDummyChild.TileMDI 0
    Unload frmDummyChild
End Sub



Private Sub mnuOptionTileMDI_Style_Click(index As Integer)
    Dim i
    For i = 0 To mnuOptionTileMDI_Style.Count - 1
         mnuOptionTileMDI_Style(i).Checked = False
    Next i
    mnuOptionTileMDI_Style(index).Checked = True
    frmDummyChild.TileMDI (index)
       ' Once invoked, has to be unloaded
    Unload frmDummyChild
End Sub



Private Sub mnuOptionUntileMDI_Click()
    Dim i
    For i = 0 To mnuOptionTileMDI_Style.Count - 1
         mnuOptionTileMDI_Style(i).Checked = False
    Next i
    Picture = LoadPicture
    Load frmDummyChild
    Unload frmDummyChild
End Sub



Private Sub mnuFileExit_Click()
    End
End Sub



